#### PyKDE - Python Bindings for KDE

# class KMacroCommand |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KMacroCommand
Inherits | KNamedCommand

### methods

- KMacroCommand (name)

  returns a KMacroCommand instance
  Argument | Type | Default
  --- | --- | ---
  name | TQString |

- addCommand (command)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  command | KCommand |

- execute ()

  returns nothing

- unexecute ()

  returns nothing